Bug 432164 - gdb debuginfo support is too noisy and annoying
gdb debuginfo support is too noisy and annoying
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Jan Kratochvil
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-09 04:45 EST by Andrew Zabolotny
Modified: 2008-02-25 19:24 EST (History)
0 users

See Also:
Fixed In Version: gdb-6.6-43.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-21 16:45:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Zabolotny 2008-02-09 04:45:36 EST
Description of problem:

As a developer I do a lot of gdb debugging, and every time gdb spits a lot of
noise related to debuginfo support. For example:

Missing separate debuginfo for /lib64/ld-linux-x86-64.so.2
Try: yum --enablerepo='*-debuginfo' install
/usr/lib/debug/.build-id/fa/841219472d35412ad631ad0f0fabb78e5c1957.debug
Missing separate debuginfo for /usr/lib64/libexiv2.so.0
Try: yum --enablerepo='*-debuginfo' install
/usr/lib/debug/.build-id/1c/26bbb2a1b98eec4d95c9543860cf8290d86be2.debug
Missing separate debuginfo for /lib64/libglib-2.0.so.0
Try: yum --enablerepo='*-debuginfo' install
/usr/lib/debug/.build-id/3f/06831d2b56bd9feeec456349ba99f9eed7f9ef.debug
Missing separate debuginfo for /usr/lib64/liblcms.so.1
Try: yum --enablerepo='*-debuginfo' install
/usr/lib/debug/.build-id/b5/a4faf604fc0392de4737bb7da24b2efc1a5ed1.debug
...[a few screens of this follows]...

I don't care about debugging ld-linux-x86-64.so.2 and other system libraries, so
I'm not going to install their debug info just to shut gdb up. I think gdb
should be quiet about debuginfo either by default, or at least with some switch.
It is very annoying when you trace through code and suddenly it starts printing
garbage like this in the middle of your debug session.

Version-Release number of selected component (if applicable):

gdb-6.6-42.fc8

How reproducible:

Always

Steps to Reproduce:
1. echo 'int main() { printf ("hello world\n"); return 0; }' >1.c
2. gcc -g 1.c
3. gdb ./a.out
4. r
  
Actual results:

Starting program: /home/zap/a.out 
Missing separate debuginfo for /lib64/ld-linux-x86-64.so.2
Try: yum --enablerepo='*-debuginfo' install
/usr/lib/debug/.build-id/fa/841219472d35412ad631ad0f0fabb78e5c1957.debug
Missing separate debuginfo for /lib64/libc.so.6
Try: yum --enablerepo='*-debuginfo' install
/usr/lib/debug/.build-id/ea/5b2fb654311e2dc8beacf2f19c1c6d172ba93d.debug
hello world
Program exited normally.

Expected results:

Starting program: /home/zap/a.out 
hello world
Program exited normally.
Comment 1 Jan Kratochvil 2008-02-09 15:47:21 EST
(In reply to comment #0)
> I think gdb should be quiet about debuginfo either by default,

Unfortunately users try to unsuccessfully debug programs without having their
debuginfo installed.

> or at least with some switch.

Yes, you are right, there should be such switch.  You can set it from your
~/.gdbinit if you like - I also have some default settings there this way.
Comment 2 Jan Kratochvil 2008-02-21 16:45:18 EST
Committed to the CVS:

* Thu Feb 21 2008 Jan Kratochvil <jan.kratochvil@redhat.com> - 6.6-43
- Rename `set debug build-id' as `set build-id-verbose', former level 1 moved
  to level 2, default value is now 1, use `set build-id-verbose 0' now to
  disable the missing separate debug filenames messages (BZ 432164).

* Thu Feb 21 2008 Jan Kratochvil <jan.kratochvil@redhat.com> - 6.7.1-14
- Rename `set debug build-id' as `set build-id-verbose', former level 1 moved
  to level 2, default value is now 1, use `set build-id-verbose 0' now to
  disable the missing separate debug filenames messages (BZ 432164).

The Koji builds + Fedora Update still pending.
Comment 3 Fedora Update System 2008-02-24 01:05:04 EST
gdb-6.6-43.fc8 has been submitted as an update for Fedora 8
Comment 4 Fedora Update System 2008-02-25 19:24:13 EST
gdb-6.6-43.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.